<?php

/**

 * Ajoute des groupe dans l'annuaire
 * @Version $Id$
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: annu
 * file: constitutiongroupe.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("lang.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
echo header_authorize($config);
include_once "ldap.inc.php";
include "ihm.inc.php";

require_once ("lang.inc.php");
bindtextdomain('sambaedu-core', "/var/www/sambaedu/locale");
textdomain('sambaedu-core');

if (have_right($config, "Annu_is_admin")) {

    $eleves = $_POST['eleves'];
    $grp = urldecode($_POST['cn']);
    $err = 0;
    // Aide
    $_SESSION["pageaide"] = "Annuaire";

    echo "<h1>" . gettext("Annuaire") . "</h1>";

    // Ajout des membres au groupe

    echo "<H4>" . gettext("Ajout des membres au groupe :") . " <A href=\"/annu/group.php?filter=$grp\">$grp</A></H4>\n";
    for ($loop = 0; $loop < count($eleves); $loop ++) {
        $nomComplet = search_ad($config, $eleves[$loop], "user");
        echo gettext("Ajout de l'utilisateur ") . "&nbsp;" . $nomComplet[0]["fullname"] . "&nbsp;";
        if (groupaddmember($config, $eleves[$loop], $grp . $config['suffix'])) {
            echo "<strong>" . gettext("R&#233;ussi") . "</strong><BR>";
        } else {
            echo "</strong><font color=\"orange\">" . gettext("Echec") . "</font></strong><BR>";
            $err ++;
        }
    }

    include ("pdp.inc.php");
} // fin is_admin
?>