<?php

/**
 * Supprime les profiles Win 10
 * @Projet SambaEdu
 * @auteurs denis.bonnenfant@sambaedu.org
 * @Licence Distribue selon les termes de la licence GPL
 * @note
 */

/**
 *
 * @Repertoire: annu
 * file: del_nt_profile.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("lang.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
echo header_authorize($config);
include "ihm.inc.php";
include_once "partages.inc.php";
include_once "fonc_parc.inc.php";
include_once "fonc_outils.inc.php";
require_once ("lang.inc.php");
bindtextdomain('se4-core', "/var/www/sambaedu/locale");
textdomain('se4-core');

$_SESSION["pageaide"] = "L\'interface_&#233;l&#232;ve#Voir_ma_fiche";

$cn = $_GET['cn'];
$action = $_GET['action'];
$login = $config['login'];
echo "<h1>" . gettext("Annuaire") . "</h1>\n";

aff_trailer("3");
if ((have_right($config, "Annu_is_admin")) || (have_right($config, "Sovajon_is_admin")) || ($cn == $login)) {
    if (! $cn) {
        echo "<div class=error_msg>" . gettext("Vous devez pr&#233;ciser le login du compte pour effacer son profil ! !") . "</div>";
    } elseif ($action == "del") {
        $machines = get_smbmachine($config, $cn);
        foreach ($machines as $machine) {
            start_poste($config, "reboot", $machine);
        }
        echo clean_profiles($config, $cn);
    }
} else {
    echo "<div class=error_msg>" . gettext("Cette fonctionnalit&#233;, n&#233;cessite le droit sovajon_is_admin") . "</div>";
}

include ("pdp.inc.php");
?>