<?php
/**

 * Page qui permet d'enregistrer le serveur la premiere fois que l'on se connecte
 * @Projet SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL

 */

/**
 *
 * @Repertoire: /
 * file: blank.php
 *
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
//require_once ("lang.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
echo header_authorize($config);
$login = $config['login'];
$activer = $_POST['activer'] ?? "";
$ok_alert = 0;

if (! empty($activer)) {
    set_local_admin_right($config, $login);
}

if (empty($config['etab_ou']) && $login == "admin" && $config['registred'] <= 1) {
    if ($config['registred'] == "1") {
        echo "<H1><FONT color=red>Mise à jour du recensement</FONT></H1>";
        echo "Vous avez recensé votre serveur SambaEdu et nous vous en remercions. Afin d'affiner nos statistiques, nous avons été amenés à ajouter le champ numéro RNE aux champs remontés dans notre base de donnée. Nous vous serions reconnaissants de bien vouloir compléter à nouveau le formulaire de recensement afin que nous puissions mettre a jour nos statistiques d'usage. D'avance, merci.";
    }

    echo "<H1>Recensement du serveur</H1>\n";

    echo "<P>Félicitations, votre serveur SambaEdu est maintenant opérationnel. Afin d'avoir une idée du nombre d'établissements qui utilise SambaEdu3, il est important que nous procédions à un recensement de ceux-ci. En remplissant le formulaire ci-dessous, vous nous aiderez à mieux connaitre les conditions d'implantation de SambaEdu dans les établissements.</P>";
    echo "<P>Le renseignement de ce formulaire est facultatif. En cochant la case <STRONG>Je ne souhaite pas participer à ce recensement</STRONG>, aucune donnée ne sera envoyée et vous ne serez plus sollicité.</P>";
    echo "<FORM action=\"blank.php\" method=\"post\">";
    echo "<INPUT TYPE=\"radio\" NAME=\"register\" VALUE=\"yes\" CHECKED>&nbsp;Oui je souhaite recenser mon serveur.";

    echo "<TABLE ALIGN=\"center\" WIDTH=\"80%\">\n";
    echo "<TR>\n";
    echo "<TD WIDTH=\"50%\">Ce serveur a vocation à être utilisé ...</TD>\n";
    echo "<TD><SELECT SIZE=\"1\" NAME=\"usage\">";
    echo "<OPTION VALUE=\"1\">En production</OPTION>";
    echo "<OPTION VALUE=\"2\">En test</OPTION>";
    echo "<OPTION VALUE=\"3\">Pour formation</OPTION>";
    echo "</SELECT>\n";
    echo "</TD>\n";
    echo "</TR>\n";
    echo "<TR>\n";
    echo "<TD WIDTH=\"50%\">Ce serveur est installé ...</TD>";
    echo "<TD><SELECT SIZE=\"1\" NAME='typetab'>";
    echo "<OPTION VALUE=\"1\">En lycée</OPTION>";
    echo "<OPTION VALUE=\"2\">En collège</OPTION>";
    echo "<OPTION VALUE=\"3\">En école</OPTION>";
    echo "<OPTION VALUE=\"4\">Autre établissement</OPTION>";
    echo "</SELECT>\n";
    echo "</TD>\n";
    echo "</TR>\n";
    echo "<TR>\n";
    echo "<TD>Ce serveur est utilisé conjointement à ...</TD>";
    echo "<TD><SELECT SIZE=\"1\" NAME=\"srvcomm\">";
    echo "<OPTION VALUE=\"Lcs\">Un serveur de communication Lcs</OPTION>";
    echo "<OPTION VALUE=\"SLIS\">Un serveur de communication SLIS</OPTION>";
    echo "<OPTION VALUE=\"other\">Un serveur de communication autre</OPTION>";
    echo "<OPTION VALUE=\"None\">Aucun serveur de communication</OPTION>";
    echo "</SELECT>\n";
    echo "</TD>\n";
    echo "</TR>\n";
    echo "<TR>\n";
    echo "<TD>N° du département où ce serveur est implanté (ou Code Pays à l'extérieur de la France)</TD>\n";
    echo "<TD><INPUT TYPE=\"text\" SIZE=\"3\"  MAXLENGTH=\"3\" NAME=\"dept\"></TD>\n";
    echo "</TR>\n";
    echo "<TR>\n";
    echo "<TD>RNE de l'établissement</TD>\n";
    echo "<TD><INPUT TYPE=\"text\" SIZE=\"8\"  MAXLENGTH=\"8\" NAME=\"rne\"></TD>\n";
    echo "</TR>\n";
    echo "</TABLE>\n";

    echo "<INPUT TYPE=\"radio\" NAME=\"register\" VALUE=\"no\" SELECTED>&nbsp;";
    echo "Non je ne souhaite pas participer à ce recensement.";
    echo "<INPUT TYPE=\"hidden\" NAME=\"vernbr\" VALUE=\"$majnbr\">";
    echo "<DIV ALIGN=\"center\"><INPUT TYPE=\"submit\" VALUE=\"Valider\"></DIV>\n";
    echo "</FORM>\n";

    echo "<br><br>";
    require ("pdp.inc.php");

    exit();
}

if (have_right($config, "se3_is_admin", $login)) {

    if (isset($config['registred']) && $config['registred'] > 1) {

        include ("fonc_outils.inc.php");

        echo "<h1>Interface SambaEdu</h1>";

        echo "<BR><BR>";
        // echo "<pre>" . print_r($_SESSION['userinfo'], true) . "</pre><br>";
        $nom = exec("/bin/hostname");

        $la = date("G:i:s d/m/Y");
        echo "<CENTER><TABLE border=1 width=\"60%\">";

        echo "<TR>\n";
        echo "<TD class=\"menuheader\" height=\"30\" align=center colspan=\"5\">Informations\n";

        echo "&nbsp;&nbsp;";

        echo "<u onmouseover=\"return escape('Cliquer ici pour voir plus d\'information et lancer un diagnostique.<br><b>Attention : </b> Cela peut être gourmand en ressources et relativement long.<br><br>Vous pouvez remplacer cette page par défaut par la page de diagnostique, en activant l\'option Affichage de la page d\'état  dans configuration générale.')\">";
        echo "<a href=\"test.php\"><IMG style=\"border: 0px solid ;\" SRC=\"../elements/images/plus.png\" ALT=\"Voir plus\"></a>\n";
        echo "</u>\n";
        echo "</TD></TR>\n";
        echo "<TR><TD align=\"center\">";
        echo $nom . "." . $config['domain'];
        echo "</TD></TR>\n";

        echo "<TR><TD align=\"center\">";
        echo "$la";
        echo "</TD></TR>\n";

        echo "<TR><TD align=\"center\">";
        $version = exec("dpkg -s sambaedu|grep Version|cut -d ' ' -f2");
        echo "Version SambaÉdu : " . $version . " - Canal de mise à jour SambaÉdu : " . $config['depot_type'];
        echo "</TD></TR>\n";

        echo "</TABLE></CENTER>\n";
    } else {
        echo "Vous n'avez pas les droits suffisants pour accéder à ces pages";
    }
    require ("pdp.inc.php");
}

?>