<?php

/**

 * Page d'accueil redirige vers auth ou blank ou test

 * @Projet SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL

 */

/**
 *
 * @Repertoire: /
 * file: index.php
 */
require_once 'config.inc.php';
$config = get_config();
$login = $config['login'];
require_once 'ldap.inc.php';
require_once 'samba.inc.php';
require_once 'partages.inc.php';
// require 'functions.inc.php';
check_ad($config);
// set_config($config, "registred", 2); // /A quoi ça sert ? mrfi
$wait = configure_fpm($config);
$html = "<!DOCTYPE HTML>
<html>
<head>
<title>Interface SambaEdu</title>";
if ($wait) {
    $html .= "<meta http-equiv=\"refresh\" content=\"120;URL=index.php\">";
}
$html .= "</head>
";
$html .= '<frameset rows="85,*">
<frame src="../barre.php" name="barre" scrolling="no" frameborder="0" />';
if ($wait) {
    $html .= "<FRAMESET COLS='*'>";
    $html .= "    <FRAME SRC='wait.php' NAME='wait' frameborder='0' />
";
} else {
    if (empty($login)) {
        $html .= "<FRAMESET COLS='*'>";
        $html .= "    <FRAME SRC='auth.php' NAME='auth' frameborder='0' />
";
    } elseif (have_right($config, "se3_is_admin|annu_is_admin|computer_is_admin") || get_local_admin_right($config, $login) || count(list_delegations($config, $login, true, "manage")) > 0) {
        $nologin = "/etc/nologin";
        if (! file_exists($nologin)) {
            exec("sudo touch $nologin");
            exec("sudo chattr +i $nologin");
        }

        $acls = array(
            "user::rwx",
            "group::rwx",
            "group:domain\\040admins:rwx",
            "mask::rwx",
            "other::r-x",
            "default:user::rwx",
            "default:group::rwx",
            "default:group:domain\\040admins:rwx",
            "default:mask::rwx",
            "default:other::r-x"
        );
        create_dir_acls("/var/sambaedu/Docs", "admin", $acls);
        create_dir_acls("/var/sambaedu/Classes", "www-admin", $acls);
        create_dir_acls("/var/sambaedu/Progs", "admin", $acls);
        create_dir_acls("/var/sambaedu/Progs/ro", "admin", $acls);

        $replacements = array(
            'default:other::r-x' => 'default:other::rwx'
        );

        foreach ($acls as $key => $value) {
            if (isset($replacements[$value])) {
                $acls[$key] = $replacements[$value];
            }
        }
        create_dir_acls("/var/sambaedu/Progs/rw", "admin", $acls);

        $html .= "<FRAMESET COLS='227,*'>
	<FRAME SRC='menu.php' NAME='menu' frameborder='0' bgcolor='#f0f1f6'/>
";
        if (isset($config['affiche_etat']) && $config['affiche_etat'] == 1) {
            if ($config['registred'] <= 1) {
                $frame = "blank.php";
            } else {
                $frame = "test.php";
            }
        } else {
            $frame = "blank.php";
        }
        $html .= "    <FRAME SRC='" . $frame . "' NAME='main' frameborder='0' />
";
    } else {
        $html .= "<FRAMESET COLS='227,*'>
	<FRAME SRC='menu.php' NAME='menu' frameborder='0' bgcolor='#f0f1f6'/>
";
        $frame = "annu/me.php";
        $html .= "    <FRAME SRC='" . $frame . "' NAME='main' frameborder='0' />
";
        header("Location:user/index.php");
    }
}
$html .= "</FRAMESET>";
$html .= "</FRAMESET>
</html>
";
echo $html;
?>